Subject: bug#9408: 23.3; vc-git-grep doesn't link to files when git grep uses colour

From: Wilfred Hughes <[email-masked]>
Date: Tue, 6 Sep 2011 14:27:31 +0100

Yes, using git grep without --no-color gets exactly the colour codes you
describe. But as of revision 105630 (the commit mentioned in message 13),
vc-git-grep uses the command "git grep --no-color -n -e <R> -- <F>" which
suppresses search term highlighting. Have I missed something?

On 6 September 2011 10:32, Juri Linkov <[email-masked]> wrote:

> > I built revision 105661, then ran $ src/emacs -Q but I did not get search
> > highlighting with vc-git-grep. File name highlighting works fine. My git
> > version is:
> >
> > $ git --version
> > git version 1.7.6.1
>
> My git version is 1.7.1 and I get search highlighting when I enable
> colour for git with: $ git config --global color.ui auto
> and when `git grep' runs without "--no-color".
>